# Boolfly Banner Slider for Magento 2



## Installation

##### Using Composer (we recommended)

```
composer require boolfly/module-banner-slider
```

## 1. Configuration

### Add New Banner
Login to Magento Admin, go to **Content > Manager Banner > Add New Banner**

![New Banner](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider-01.png)

#### Enable : 
<ul>
  <li>Select “Yes” to display the banner.</li>
  <li>Select “No” to hide the banner.</li>
</ul>

#### Title:
Enter title for the banner.

#### Banner Url:
Enter link for the banner. When user click to the banner, the system will redirect to this link.

#### Description:
Enter Description will be displayed on the banner.

#### Enable:
<ul>
  <li>Select “Yes” to display a button for the banner.</li>
  <li>Select “No” to hide the button for the banner.</li>
</ul>

#### Button Text:
Enter text which is displayed for the button.

#### Button URL:
Enter URL for the button.

#### Align Text:
<ul>
  <li>Center: Select to display text for center position.</li>
  <li>Left: Select to display text for left center position.</li>
  <li>Right: Select to display text for right center position.</li>
</ul>

#### Desktop Image:
Upload the image for the banner with respect to desktop screen.

#### Tablet Image:
Upload the image for the banner with respect to tablet screen.

#### Mobile Image:
Upload the image for the banner with respect to mobile screen.

### Add New Slider

Login to Magento Admin, go to **Content > Manager Slider > Add New Slider**

![New Slider](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider-02.png)

#### Enable : 
<ul>
  <li>Select “Yes” to display the slider.</li>
  <li>Select “No” to hide the slider.</li>
</ul>

#### Title:
Enter title for the slider.

#### Animation Effect: 
<ul>
  <li>Fade</li>
  <li>Slide</li>
</ul>

#### Display in Category:
Select categories display the slider.

#### Speed:
Select delay time move to the next banner.

#### Auto Play:
<ul>
  <li>Select “Yes” to turn on autoplay the banner.</li>
  <li>Select “No” to turn off autoplay the banner.</li>
</ul>

#### Banners

![New Slider](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider-03.png)

##### Assign Banners:

Click to show the banners list.
Select banners then click to “Add Selected Banners” to add the banners to the slider

![Assign Banners](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider04.png)

#### CMS Page
Add CMS Page: Click to show CMS pages.

![Cms page](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider-05.png)

## 2. How does it work

![Frontend Slider](https://github.com/boolfly/wiki/blob/master/magento/magento2/images/banner-slider/banner-slider-06.png)



Contribution
---
Want to contribute to this extension? The quickest way is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests)

Magento 2 Extensions
---

- [Ajax Wishlist](https://github.com/boolfly/ajax-wishlist) 
- [Quick View](https://github.com/boolfly/quick-view)
- [Product Label](https://github.com/boolfly/product-label) 
- [ZaloPay](https://github.com/boolfly/zalo-pay) 
- [Momo](https://github.com/boolfly/momo-wallet) 
- [Blog](https://github.com/boolfly/blog)
- [Brand](https://github.com/boolfly/brand) 
- [Product Question](https://github.com/boolfly/product-question) 
- [Sales Sequence](https://github.com/boolfly/sales-sequence) 

Support
---
If you encounter any problems or bugs, please open an issue on [GitHub](https://github.com/boolfly/banner-slider/issues).

Need help settings up or want to customize this extension to meet your business needs? Please email boolfly.inc@gmail.com and if we like your idea we will add this feature for free or at a discounted rate.
